<?php
// Sākt sesiju
session_start();

// Pieņem, ka ir datubāzes savienojums
$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$database = "u353443769_beis";

// Pārbaudīt, vai sesijā ir iestatīts autorid
if (!isset($_SESSION['autorid'])) {
    // Atgriezt kļūdas ziņojumu, ja sesijā nav iestatīts autorid
    echo json_encode(['success' => false, 'message' => 'Autorid nav iestatīts sesijā']);
    exit(); // Pārtraukt skripta izpildi
}

// Iegūt autorid no sesijas
$autorid = $_SESSION['autorid'];

// Izveidot savienojumu
$conn = new mysqli($servername, $username, $password, $database);

// Pārbaudīt savienojumu
if ($conn->connect_error) {
    die("Savienojums neizdevās: " . $conn->connect_error);
}

// Izgūt ierakstus no datubāzes, pamatojoties uz autorid
$sql = "SELECT id, imageid, header, autor, rating FROM pav_gra_postsi WHERE autorid = '$autorid'";
$result = $conn->query($sql);

if ($result->num_rows > 0) {
    // Izvadīt katru ierakstu datus
    $posts = array();
    while($row = $result->fetch_assoc()) {
        $posts[] = $row;
    }
    // Nosūtīt ierakstu datus kā JSON atbildi
    header('Content-Type: application/json');
    echo json_encode($posts);
} else {
    echo json_encode(['success' => false, 'message' => 'Nav atrasti ieraksti pašreizējam lietotājam']);
}

// Aizvērt datubāzes savienojumu
$conn->close();
?>
